App\Entity\Commande:
    type: entity
    table: commande
    fields:
        id:
            id: true
            type: integer
            unsigned: false
            nullable: false
            generator:
                strategy: IDENTITY
        numIncrement:
            type: integer
            nullable: true
        numCommande:
            type: string
            length: 255
            fixed: false
            nullable: true
        totalHT:
            type: float
            nullable: true
        totalTVA:
            type: float
            nullable: true
        totalTTC:
            type: float
            nullable: true
        dateCommande:
            type: datetime
            nullable: true
        dateMiseajour:
            type: datetime
            nullable: true
        estCloture:
            type: boolean
            nullable: true
        dateCloture:
            type: datetime
            nullable: true
        estFacturee:
            type: boolean
            nullable: true
        dateFacturation:
            type: datetime
            nullable: true
        numIncrementFacture:
            type: integer
            nullable: true
        numFacture:
            type: string
            length: 255
            fixed: false
            nullable: true
        scanBonCommande:
            type: string
            length: 255
            fixed: false
            nullable: true
        notes:
            type: text
            nullable: true
        motscles:
            type: text
            nullable: true
        estValide:
            type: boolean
            nullable: true
    oneToMany:
        cproduits:
            targetEntity: CommandeProduit
            mappedBy: commande
            cascade: [persist]
            orphanRemoval: true
    manyToOne:
        utilisateur:
            targetEntity: Utilisateur
            cascade: {  }
            mappedBy: null
            inversedBy: commandes
            joinColumns:
                utilisateur_id:
                    referencedColumnName: id
            orphanRemoval: false
        fournisseur:
            targetEntity: Fournisseur
            cascade: {  }
            mappedBy: null
            inversedBy: commandes
            joinColumns:
                fournisseur_id:
                    referencedColumnName: id
            orphanRemoval: false
        magasin:
            targetEntity: Magasin
            cascade: {  }
            mappedBy: null
            inversedBy: commandes
            joinColumns:
                magasin_id:
                    referencedColumnName: id
            orphanRemoval: false
        dossier:
            targetEntity: Dossier
            cascade: {  }
            mappedBy: null
            inversedBy: commandes
            joinColumns:
                dossier_id:
                    referencedColumnName: id
                    nullable: true
                    onDelete: SET NULL
            orphanRemoval: false